Subject: source code

From: M92 <[email-masked]>
Date: Tue, 18 May 93 07:18:00 -0700

I am involved in a project to set-up a database of objects which will be used
in a simulation environment. These objects will consist of various components,
including icon bitmap, text and source code (written in C), and will be 
organised in an inheritance hierarchy.

I am investigating how such objects could be established in postgres and of 
particular concern is how the source code will be stored. In the Stonebraker and Rowe paper The Design of Postgres the type "cproc" is mention, however this is not discussed in the postgres reference manual - has this feature been 
implemented and if so would it be useful for this application?

Two options are being considered :

	1. Store the code as a large object. Therefore database integrity and 
caching and locking issues will be handled by postgres.
	
	2. The source code will be a UNIX file referenced in the object relation. With this option integrity, caching and locking strategies must implemented.

I would like to hear form anybody who has attempted to included source code in a
postgres database by either these methods,or any other, and anybody who can
offer helpful advice on this project.

Paul.